Skip to main content
PUT
/
v1.0
/
routing
/
rule
/
supplement
/
{type}
Update default (supplement) routing rule
curl --request PUT \
  --url https://api.lofty.com/v1.0/routing/rule/supplement/{type} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "roleId": 123,
  "strategyType": 123,
  "touchMinutes": 123,
  "assigneeAgentId": 123,
  "assigneeGroupId": 123
}
'
"ok"

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Content-Type
string
required

application/json

Path Parameters

type
enum<integer>
required

Routing business type.

Available options:
1,
2,
4

Body

application/json

Supplement routing rule payload.

roleId
integer<int32>

Role id, This parameter is required when type == 4

strategyType
integer<int32>

Strategy type

touchMinutes
integer<int32>

Only next up and blast alert are affected

assigneeAgentId
integer<int64>

Only default assignee are affected

assigneeGroupId
integer<int64>

Only default assignee and routing type is AGENT_LEAD are affected

Response

Rule updated.

The response is of type string.

Example:

"ok"